%define pkg_name        Test-Memory-Cycle
%define pkg_version     1.04
%define rpm_pkg_version 1.04
%define rpm_pkg_release 1.n0i.2

Summary:       Check for memory leaks and circular memory references
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PE/PETDANCE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(Devel::Cycle) >= 1.07
Requires:      perl(Test::Simple) >= 0.62
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Devel::Cycle) >= 1.07}
%{!?_without_test:BuildRequires: perl(Getopt::Long)}
%{!?_without_test:BuildRequires: perl(PadWalker)}
%{!?_without_test:BuildRequires: perl(Test::Builder)}
%{!?_without_test:BuildRequires: perl(Test::Builder::Tester)}
%{!?_without_test:BuildRequires: perl(Test::More)}
%{!?_without_test:BuildRequires: perl(Test::Simple) >= 0.62}


%description
A thin Test::More-compatible wrapper around Lincoln Stein's Devel::Cycle
module.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.04-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.04

* Fri Jul 29 2005 Marius Feraru <altblue@n0i.net> 1.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
